Bug 849795 - csync2 does not use TLS
csync2 does not use TLS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: csync2 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Angus Salkeld
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 17:41 EDT by Simon Piette
Modified: 2014-01-12 20:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-25 20:23:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Makefile.am fix for gnutls (438 bytes, patch)
2012-08-20 17:41 EDT, Simon Piette
no flags Details | Diff

  None (edit)
Description Simon Piette 2012-08-20 17:41:04 EDT
Created attachment 605791 [details]
Makefile.am fix for gnutls

Description of problem:
csync2 can needs TLS for authentication between server and client. Although the package require gnutls and friends, it doesn't get used at compilation time.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install csync2
2. ldd /usr/sbin/csync2 | grep gnutls
  
Actual results:
""

Expected results:
	libgnutls.so.26 => /usr/lib64/libgnutls.so.26 (0x0000003984c00000)


Additional info:
Makefile.am is missing 2 lines (see attachement):
AM_CFLAGS += @LIBGNUTLS_CFLAGS@
AM_LDFLAGS += @LIBGNUTLS_LIBS@

Applyling attached patch will fix the problem.
Comment 1 Angus Salkeld 2012-08-20 18:17:15 EDT
Simon, if you want you can apply for commit permission (I'll ack it) so
you can apply the patch.

https://admin.fedoraproject.org/pkgdb/acls/name/csync2
Comment 2 Simon Piette 2012-08-21 15:37:24 EDT
I can't apply for commit permission, I'm not in the packager group. I'm willing to be sponsored though ; )

In the meanwhile, I put a patched copy on gitorious:
https://www.gitorious.org/spiette/fedora-csync2

I've also change configure.ac so the feature is actually compiled in.
Comment 3 Angus Salkeld 2012-08-21 19:16:52 EDT
OK, well thanks for working on it. I'll apply your patch & build.
Comment 4 Fedora Update System 2012-08-21 20:02:11 EDT
csync2-1.34-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/csync2-1.34-9.fc18
Comment 5 Fedora Update System 2012-08-21 20:15:09 EDT
csync2-1.34-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/csync2-1.34-9.fc17
Comment 6 Fedora Update System 2012-08-22 10:38:34 EDT
Package csync2-1.34-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing csync2-1.34-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12442/csync2-1.34-9.fc18
then log in and leave karma (feedback).
Comment 7 Simon Piette 2012-08-23 21:40:09 EDT
As mentionned at bodhi:
GNUTLS is not activated:
$ strings /usr/sbin/csync2 | grep -i ssl
This csync2 server is built without SSL support.

This should be:
$ strings /usr/sbin/csync2 | grep activating_ssl
OK (activating_ssl). 

0001-Fix-gnutls-configure.ac-section.patch has to be modified:
s/HAVE_GNUTLS/HAVE_LIBGNUTLS/ 

Is it possible to push this path up to F16 and EPEL{5,6}?
Comment 8 Fedora Update System 2012-08-23 22:46:40 EDT
csync2-1.34-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/csync2-1.34-10.fc17
Comment 9 Fedora Update System 2012-08-23 22:52:15 EDT
csync2-1.34-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/csync2-1.34-10.fc18
Comment 10 Fedora Update System 2012-08-23 22:52:28 EDT
csync2-1.34-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/csync2-1.34-8.fc16
Comment 11 Angus Salkeld 2012-08-23 22:55:44 EDT
Simon I haven't ever packaged csync2 for EPEL. I'll suggest get
sponsored and you can do help maintain csync.
Comment 12 Fedora Update System 2012-08-25 20:23:55 EDT
csync2-1.34-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-08-25 20:26:23 EDT
csync2-1.34-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-17 19:58:33 EDT
csync2-1.34-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.